<h6 align="center">
    <img src="https://larecipe.binarytorch.com.my/images/logo.svg"/>
</h6>

<h2 align="center">
    LaRecipe
</h2>


<h6 align="center">
    Write gorgeous documentations for your products using Markdown inside your Laravel app.
</h6>
    

<p align="center">
<a href="https://github.com/saleem-hadad/larecipe"><img src="https://img.shields.io/packagist/dt/binarytorch/larecipe.svg" alt="License"></a>
<a title="MadeWithVueJs.com Shield" href="https://madewithvuejs.com/p/larecipe/shield-link"> <img src="https://madewithvuejs.com/storage/repo-shields/1087-shield.svg"/></a>
<a href="https://github.com/saleem-hadad/larecipe"><img src="https://img.shields.io/github/release/saleem-hadad/larecipe.svg" alt="Release"></a>
<a href="https://github.com/saleem-hadad/larecipe"><img src="https://poser.pugx.org/laravel/framework/license.svg" alt="License"></a>
<a href="#backers" alt="sponsors on Open Collective"><img src="https://opencollective.com/larecipe/backers/badge.svg" /></a> <a href="#sponsors" alt="Sponsors on Open Collective"><img src="https://opencollective.com/larecipe/sponsors/badge.svg" /></a> 
</p>
<br/><br/>

# LaRecipe 🍪

**LaRecipe** is simply a code-driven package provides an easy way to create beautiful documentation for your product or application inside your Laravel app.

![LaRecipe Screenshot](https://larecipe.binarytorch.com.my/images/screenshot.png#)

## Official tools and assets support

| Title | v1.x | v2.x |
| :- | :-: | :-: |
| [LaRecipe Dark Theme](https://larecipe.binarytorch.com.my/packages/binarytorch/larecipe-dark-theme) | ❌ | ✅ |
| [LaRecipe RTL Support](https://larecipe.binarytorch.com.my/packages/binarytorch/larecipe-rtl) | ❌ | ✅ |
| [LaRecipe Feedback](https://larecipe.binarytorch.com.my/packages/binarytorch/larecipe-feedback) | ❌ | ✅ |
| [LaRecipe Swagger](https://larecipe.binarytorch.com.my/packages/binarytorch/larecipe-swagger) | ❌ | ✅ |

## Getting Started

☝️ Install the package via composer.

    composer require binarytorch/larecipe

✌️ Run the install command.

    php artisan larecipe:install

Visit your app domain with `/docs` endpoint. That's it.

#### See [full documentation](https://larecipe.binarytorch.com.my/)


## Examples

* [Zino](https://zino.binarytorch.com.my/1.0/installation) - 🤖 Custom Arduino library made for humans.
* [Blogged](https://blogged.binarytorch.com.my/docs/1.0/overview) - Blogged is a package provides an easy way to create beautiful blog inside your Laravel projects.
* [Wave](https://wave.devdojo.com/docs) - Wave is the perfect starter kit for building your next great idea
* [Inspector](https://www.inspector.dev/larecipe-is-now-our-docs-center/) - Laravel real-time performance & error alerting
* [Nova ADC](https://nova-adc.com/docs/1.0/overview) - Nova is a cloud-based (or on-premise) SaaS application delivery controller.
* [WooSignal](https://woosignal.com/docs/api/1.0/overview) - Fastest WooCommerce
App Templates.
* [AddChat](https://addchat-docs.classiebit.com/docs/1.0/introduction) - All-in-one multi-purpose Chat Widget For Laravel & Codeigniter websites.
* [RoadLeagues](https://roadleagues.com/docs/1.0/overview) - A cycling league management system with an API to allow data distrubution externally.
* Put your docs here 😍👌



## Gold Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/larecipe#sponsor)]

| Nova ADC | Inspector |
| :-: | :-: |
| <a href="https://nova-adc.com/"><img width="200px" src="https://images.opencollective.com/nova-adc/f507268/logo.png" /></a> | <a href="https://www.inspector.dev/"> <img width="300px" src="https://www.inspector.dev/wp-content/uploads/2018/10/logo-horizontal-shadow-transparent-768x225.png" /> </a> |

## Bronze Sponsors

<a href="https://github.com/mrgfrederic" target="_blank">
    <img width="100px" height="100px" src="https://avatars0.githubusercontent.com/u/42940842?s=460&v=4">
</a>

<a href="https://cierra.de/" target="_blank">
    <img width="200px" src="https://images.opencollective.com/cierrasoftware/1c2b298/logo.png">
</a>


## Backers

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/larecipe#backer)]

<img src="https://opencollective.com/larecipe/tiers/backers.svg?avatarHeight=50" />

## Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/saleem-hadad/larecipe/graphs/contributors"><img src="https://opencollective.com/larecipe/contributors.svg?width=890&button=false" /></a>

## License

This library is licensed under the MIT License - see the [LICENSE.md](LICENSE) file for details.
